!Thu Oct 22 15:05:03 CEST 2015
!Written by Pedro Ojeda
      PROGRAM HELLO
      USE OMP_LIB
      IMPLICIT NONE
      INTEGER :: I,J
      INTEGER, PARAMETER :: NLIN=1E3
      REAL*8  :: X(NLIN)
      INTEGER :: RATE,T1,T2

      CALL SYSTEM_CLOCK(COUNT_RATE=RATE)
!Perform some operations on vector X
      CALL SYSTEM_CLOCK(T1)
      X=0.0D0
      DO I=1,NLIN
          DO J=1,NLIN
            X(I)=X(I)+I*J*1.0D0
          ENDDO
      ENDDO
      CALL SYSTEM_CLOCK(T2)
      WRITE(*,*) x(1),x(2),'TIME',REAL(T2-T1)/REAL(RATE)



!Perform some operations on vector X using OpenMP DO loop
      CALL SYSTEM_CLOCK(T1)
      X=0.0D0
!$OMP PARALLEL  
      write(*,*) 
!$OMP DO
      DO I=1,NLIN
          DO J=1,NLIN
            X(I)=X(I)+I*J*1.0D0
          ENDDO
      ENDDO
!$OMP END DO
!$OMP END PARALLEL
      CALL SYSTEM_CLOCK(T2)
      WRITE(*,*) x(1),x(2),'TIME',REAL(T2-T1)/REAL(RATE)

      END
